Bug 798878 - [6c4b8d02db7b47d67a306a71a72bcc016fbdf183] Write locks return EAGAIN during graph change
[6c4b8d02db7b47d67a306a71a72bcc016fbdf183] Write locks return EAGAIN during g...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: locks (Show other bugs)
mainline
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Junaid
: Triaged
Depends On:
Blocks: 852424
  Show dependency treegraph
 
Reported: 2012-03-01 02:28 EST by Anush Shetty
Modified: 2013-08-06 18:38 EDT (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 852424 (view as bug list)
Environment:
Last Closed: 2013-07-24 13:28:17 EDT
Type: ---
Regression: ---
Mount Type: fuse
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anush Shetty 2012-03-01 02:28:46 EST
Description of problem: While running locktests during graph change, the write lock test returned EAGAIN

How reproducible: Consistently


Steps to Reproduce:
1. ./locktests -n 5 -f testfile
2.  gluster volume set testvol  performance.write-behind off

  
Actual results: 
TEST : TRY TO WRITE ON A WRITE LOCK:Master: can't set lock
: Resource temporarily unavailable


Additional info:

Client log-
[2012-03-01 12:57:56.130819] D [fd-lk.c:444:fd_lk_insert_and_merge] 0-fd-lk: new lock requrest: owner = ffff53427a423330, fl_type = F_RDLCK, fs_start = 0, fs_end = 9223372036854775807, user_flock: l_type = F_RDLCK, l_start = 0, l_len = 0
[2012-03-01 12:57:56.130887] W [fd-lk.c:407:print_lock_list] 0-fd-lk: lock list:
[2012-03-01 12:57:56.130911] D [fd-lk.c:419:print_lock_list] 0-fd-lk: owner = ffff53427a423330, cmd = F_SETLK fl_type = F_RDLCK, fs_start = 0, fs_end = 9223372036854775807, user_flock: l_type = F_RDLCK, l_start = 0, l_len = 0, 
[2012-03-01 12:57:57.162526] D [fuse-bridge.c:3151:fuse_setlk_cbk] 0-glusterfs-fuse: Returning EAGAIN Flock: start=0, len=0, pid=0, lk-owner=ffff53427a423330
[2012-03-01 12:57:57.202162] D [fd-lk.c:444:fd_lk_insert_and_merge] 0-fd-lk: new lock requrest: owner = 722b4f18ffffff2a, fl_type = F_RDLCK, fs_start = 0, fs_end = 9223372036854775807, user_flock: l_type = F_RDLCK, l_start = 0, l_len = 0
[2012-03-01 12:57:57.202237] W [fd-lk.c:407:print_lock_list] 0-fd-lk: lock list:
[2012-03-01 12:57:57.202261] D [fd-lk.c:419:print_lock_list] 0-fd-lk: owner = 722b4f18ffffff2a, cmd = F_SETLK fl_type = F_RDLCK, fs_start = 0, fs_end = 9223372036854775807, user_flock: l_type = F_RDLCK, l_start = 0, l_len = 0, 
[2012-03-01 12:57:58.244156] D [fuse-bridge.c:3151:fuse_setlk_cbk] 0-glusterfs-fuse: Returning EAGAIN Flock: start=0, len=0, pid=0, lk-owner=722b4f18ffffff2a
Comment 1 Junaid 2012-04-05 04:54:33 EDT
For this release we are not handling lock migration on a graph switch.
Comment 2 Junaid 2013-01-22 01:30:20 EST
This issue has been addressed by the patches sent for lock migration. Please verify on the latest release.

Note You need to log in before you can comment on or make changes to this bug.